Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157152 - Changing security options from Security Level Configuration dialog freezes system
Summary: Changing security options from Security Level Configuration dialog freezes sy...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-07 18:14 UTC by Steve Romero
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 14:58:35 UTC


Attachments (Terms of Use)

Description Steve Romero 2005-05-07 18:14:06 UTC
Description of problem:
Changing security options from Security Level Configuration dialog freezes system.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.5.7-2.i386.rpm

How reproducible:
Select Desktop --> System Settings --> Security Level and Firewall --> SELinux.
 Making any changes to Enforcing Current or Relabel on next reboot options will
immediately freeze the system requiring a power off/on to recover.

Steps to Reproduce:
1.Follow the above steps
2.
3.
  
Actual results:
System freezes.

Expected results:
Changes to have been effected and system operation to continue.

Additional info:

Note there is nothing logged regarding this event.

Comment 1 Chris Lumens 2005-05-12 18:55:23 UTC
The machine locks up as soon as you click on the option in
system-config-securitylevel?  It shouldn't be doing anything except for touching
/.autorelabel and possibly changing some settings in /etc, so I don't understand
how it could be locking up at this point?

Comment 2 Steve Romero 2005-05-12 21:39:58 UTC
My bad, your right I forgot that one little step;  "select OK".  It is at that
point that the lockup occurs.

I haven't tried this lately but I will give it another try when I get home
tonight and report the results.

Comment 3 Chris Lumens 2005-05-25 20:57:46 UTC
I am unable to reproduce this.  Any luck?

Comment 4 Chris Lumens 2005-09-23 14:58:35 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.  If you have further details, feel free to
reopen the report with the additional details attached.


Note You need to log in before you can comment on or make changes to this bug.